# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "bones-zentest"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tim Pease"]
  s.date = "2010-10-17"
  s.description = "The zentest package for Mr Bones provides tasks to incorporate ZentTest\nautomated testing into bones based projects."
  s.email = "tim.pease@gmail.com"
  s.extra_rdoc_files = ["History.txt", "README.txt", "version.txt"]
  s.files = ["History.txt", "README.txt", "version.txt"]
  s.homepage = "http://github.com/TwP/bones-zentest"
  s.rdoc_options = ["--main", "README.txt"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "bones-zentest"
  s.rubygems_version = "1.8.11"
  s.summary = "The zentest package for Mr Bones provides tasks to incorporate ZentTest automated testing into bones based projects"
  s.has_rdoc = true

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<bones>, [">= 3.5.0"])
      s.add_runtime_dependency(%q<ZenTest>, [">= 0"])
      s.add_development_dependency(%q<bones>, [">= 3.5.0"])
    else
      s.add_dependency(%q<bones>, [">= 3.5.0"])
      s.add_dependency(%q<ZenTest>, [">= 0"])
      s.add_dependency(%q<bones>, [">= 3.5.0"])
    end
  else
    s.add_dependency(%q<bones>, [">= 3.5.0"])
    s.add_dependency(%q<ZenTest>, [">= 0"])
    s.add_dependency(%q<bones>, [">= 3.5.0"])
  end
end
